Retrieves a Schema.

### HTTP request

`GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Schemas/{schemaId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` Required. The customer ID. |
| `schemaId` | `string` Required. The schema's ID. Example: `urn:ietf:params:scim:schemas:core:2.0:User`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/identity/docs/scim/reference/rest/v1/customers.v2.Schemas#Schema`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-identity.groups.readonly`
- `https://www.googleapis.com/auth/cloud-identity.groups`
- `https://www.googleapis.com/auth/cloud-identity`
- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/admin.directory.user.readonly`
- `https://www.googleapis.com/auth/admin.directory.user`

For more information, see the [Authorization guide](https://docs.cloud.google.com/workspace/guides/configure-oauth-consent).